Go to the latest version of this document.

# ``twisted`.`mail`.`maildir`.`MaildirMailbox``

class documentation

`class MaildirMailbox(pop3.Mailbox): (source)`

Constructor: `MaildirMailbox(path)`

View In Hierarchy

A maildir-backed mailbox.

Method | `__init__` | No summary
Method | `appendMessage` | Add a message to the mailbox.
Method | `deleteMessage` | Mark a message for deletion.
Method | `getMessage` | Retrieve a file-like object with the contents of a message.
Method | `getUidl` | Get a unique identifier for a message.
Method | `listMessages` | Retrieve the size of a message, or, if none is specified, the size of each message in the mailbox.
Method | `undeleteMessages` | Undelete all messages marked for deletion.
Instance Variable | `deleted` | Undocumented
Instance Variable | `list` | Information about the messages in the mailbox. For undeleted messages, the full path name of the message storing the file is stored. Deleted messages are indicated by 0.
Instance Variable | `path` | See `__init__`.

Inherited from `Mailbox`:

Method | `sync` | Discard the contents of any message marked for deletion.

def __init__(self, path: `bytes`): (source)

Parameters
path:`bytes` | The directory name for a maildir mailbox.

def appendMessage(self, txt: `bytes | IO[bytes]`) -> `Deferred[None]`: (source)

Add a message to the mailbox.

Parameters
txt:`bytes | IO[bytes]` | A message to add.

Returns
`Deferred[None]` | A deferred which fires when the message has been added to the mailbox.

def deleteMessage(self, i): (source)
from `twisted.mail.interfaces.IMailboxPOP3`
overrides `twisted.mail.pop3.Mailbox.deleteMessage`

Mark a message for deletion.

Move the message to the .Trash/ subfolder so it can be undeleted by an administrator.

Parameters
i:`int` | The 0-based index of a message.

Raises
`IndexError` | When the index does not correspond to a message in the mailbox.

def getMessage(self, i: `int`) -> `IO[str]`: (source)
from `twisted.mail.interfaces.IMailboxPOP3`
overrides `twisted.mail.pop3.Mailbox.getMessage`

Retrieve a file-like object with the contents of a message.

Parameters
i:`int` | The 0-based index of a message.

Returns
file-like object | A file containing the message.

Raises
`IndexError` | When the index does not correspond to a message in the mailbox.

def getUidl(self, i): (source)
from `twisted.mail.interfaces.IMailboxPOP3`
overrides `twisted.mail.pop3.Mailbox.getUidl`

Get a unique identifier for a message.

Parameters
i:`int` | The 0-based index of a message.

Returns
`bytes` | A string of printable characters uniquely identifying the message for all time.

Raises
`IndexError` | When the index does not correspond to a message in the mailbox.

@overload
def listMessages(self) -> `list[int]`:
@overload
def listMessages(self, i: `int`) -> `int`:
(source)
from `twisted.mail.interfaces.IMailboxPOP3`
overrides `twisted.mail.pop3.Mailbox.listMessages`

Retrieve the size of a message, or, if none is specified, the size of each message in the mailbox.

Parameters
i:`int` or `None` | The 0-based index of a message.

Returns
`int` or `list` of `int` | The number of octets in the specified message, or, if an index is not specified, a list of the number of octets for all messages in the mailbox. Any value which corresponds to a deleted message is set to 0.

Raises
`IndexError` | When the index does not correspond to a message in the mailbox.

def undeleteMessages(self): (source)
from `twisted.mail.interfaces.IMailboxPOP3`
overrides `twisted.mail.pop3.Mailbox.undeleteMessages`

Undelete all messages marked for deletion.

Move each message marked for deletion from the .Trash/ subfolder back to its original position.

deleted: A mapping of the path to a deleted file before it was deleted to the full path name of the deleted file in the .Trash/ subfolder. = (source)

Undocumented

list: `list[int | bytes]` = (source)

Information about the messages in the mailbox. For undeleted messages, the full path name of the message storing the file is stored. Deleted messages are indicated by 0.

path = (source)

See `__init__`.